#include <bits/stdc++.h>

using namespace std;

int main()
{
    int a,b,n=1,m=1,i,nagy,kicsi,j;
    cin>>a>>b;
    int x=a,y=b;
    while(a>10)
    {
        a=a/10;
        n++;
    }
    while(b>10)
    {
        b=b/10;
        m++;
    }
    if(n>m)
    {
        nagy=n;
        kicsi=m;
    }
#include <bits/stdc++.h>

using namespace std;

int main()
{
    int a,b,n=1,m=1,i,nagy,kicsi,j;
    cin>>a>>b;
    int x=a,y=b;
    while(a>10)
    {
        a=a/10;
        n++;
    }
    while(b>10)
    {
        b=b/10;
        m++;
    }
    if(n>m)
    {
        nagy=n;
        kicsi=m;
    }
    else
    {
        nagy=m;
        kicsi=n;
    }
    int A[n],B[m],C[nagy];
    for(i=0;i<n;i++)
    {
        A[i]=x%10;
        x=x/10;
    }
    for(i=0;i<m;i++)
    {
        B[i]=y%10;
        y=y/10;
    }
    for(i=nagy-1;i>0-1;i--)
    {
        if(i<kicsi)
        {
            
            if(A[i]>B[i])
            {
               cout<<A[i];
            }
            else if(A[i]<B[i])
            {
                cout<<B[i];
            }
            else if(A[i]=B[i])
            {
                cout<<A[i]<<B[i]; 
            }
        }
        if(kicsi<=i)
        {
            if(n>m)
            {
                while(kicsi-1<i)
                {
                    cout<<A[i];
                    i--;
                }
            }
            else
            {
                while(kicsi-1<i)
                {
                    cout<<B[i];
                    i--;
                }
                
            }
            i++;
        }
    }
    return 0;